EDIT - feature request #7006
feature request # 6565 (Closed): [MASTER] Eclipse 4 Migration

Migrate preferences
10/05/2017 03:16 PM - Patrick Plitzner

Status: Closed Start date:

Priority: New Due date:

Assignee: Patrick Plitzner % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 4.11

Severity: critical

Description

This can be done with a copy of the plugin provided by OPCoach (https:/github.com/opcoach/e4Preferences).

This might also give us the possibility to handle where and how preferences are stored.

Later on we should use Annotation to handle preferences (@Preference)

Related issues:

Related to EDIT - bug #7024: Preference pages are shown in editor parts

Rejected

Associated revisions

Revision 008ebe8f - 10/06/2017 12:08 PM - Patrick Plitzner

ref #7006 Migrate store preferences

Revision dbb4a896 - 10/06/2017 12:08 PM - Patrick Plitzner
ref #7006 Fix typo

Revision 3401aff4 - 10/18/2017 11:35 AM - Patrick Plitzner

ref #7006 Avoid multiple warnings when opening prefs with no session

Revision 8684498 - 10/23/2017 08:09 PM - Katja Luther

fix termmanager for editing preferences

Revision a3c2ae78 - 10/24/2017 12:42 PM - Katja Luther

fix termmanager for editing preferences

Revision ¢82a307b - 10/26/2017 03:15 PM - Patrick Plitzner

ref #7006 Revert opcoach plugin for preferences

History

#1 - 10/05/2017 04:04 PM - Patrick Plitzner

- Description updated

#2 - 10/05/2017 04:09 PM - Patrick Plitzner

- Description updated

#3 - 10/06/2017 11:09 AM - Patrick Plitzner

- Description updated

#4 - 10/06/2017 01:51 PM - Patrick Plitzner
- Status changed from New to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 0 to 50
https://github.com/opcoach/e4Preferences

#5 - 10/16/2017 01:32 PM - Katja Luther

- Status changed from Resolved to Closed

it takes quiet a long time to open the preferences, but it seems to work.

#6 - 10/19/2017 02:35 PM - Andreas Miiller

- Assignee changed from Katja Luther to Patrick Plitzner

#7 - 10/19/2017 02:53 PM - Andreas Miiller
- % Done changed from 50 to 100

#8 - 10/19/2017 10:57 PM - Andreas Miiller
- File picture240-1.png added
- Status changed from Closed to Feedback

- Severity changed from normal to critical

The preferences often show up in the search result view (see attachement). This shouldn't be and is critical.

#9 - 10/19/2017 10:58 PM - Andreas Miiller

Added Katja to let her know that this is still an open issue.

#10 - 10/19/2017 10:59 PM - Andreas Miiller

Later on we should use Annotation to handle preferences (@Preference)

=> if not handled here but a good suggestion we should open a new ticket.

#11 - 10/19/2017 11:32 PM - Andreas Miiller

Andreas Muller wrote:

The preferences often show up in the search result view (see attachement). This shouldn't be and is critical.

Maybe related to #69907?

#12 - 10/19/2017 11:33 PM - Andreas Miiller

- Related to feature request #6990: Migrate search result view added

#13 - 10/20/2017 07:20 AM - Patrick Plitzner

- Related to deleted (feature request #6990: Migrate search result view)

#14 - 10/20/2017 07:20 AM - Patrick Plitzner
- Related to bug #7024: Preference pages are shown in editor parts added

#15 - 10/25/2017 01:43 PM - Katja Luther

the preferences could not be saved anymore or even worse once edit they where completely lost and could not be restored. this is fixed with Revision
8684498 and Revision a3c2ae78

#16 - 10/25/2017 03:10 PM - Patrick Plitzner

Oh, | overlooked the position of the "'
Thanks! Looks good.

#17 - 11/06/2017 05:04 PM - Patrick Plitzner
- Status changed from Feedback to Resolved
- Assignee changed from Patrick Plitzner to Katja Luther

- % Done changed from 100 to 90
https://dev.e-taxonomy.eu/redmine/issues/6990

Please review if preferences are stored now.

#18 - 11/07/2017 12:11 PM - Katja Luther
- Status changed from Resolved to Closed

- Assignee changed from Katja Luther to Patrick Plitzner

looks fine now.

#19 - 02/14/2018 10:11 AM - Patrick Plitzner
- % Done changed from 90 to 100

Files
